package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tfe;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TfeMapper {

    int insert(Tfe record);

    int insertSelective(Tfe record);

    int updateByPrimaryKeySelective(Tfe record);

    int updateByPrimaryKey(Tfe record);

    int deleteByPrimaryKey(Tfe record);

    int deleteByIds(Collection<Object> collection);

    Tfe selectByPrimaryKey(Tfe record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tfe> dyncRead(Map<String, Object> dyncMap);

    Tfe selectByObjInfo(Tfe newtbk);

    List<Tfe> selectByObjtypAndObjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    int deleteByobjtypAndobjinr(@Param("objtyp") String objtyp, @Param("objinr") String objinr);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<Tfe> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<Tfe> entities);
}